Retrieve a document from a data source
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/documents/{documentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/documents/{documentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/spaces/{spaceId}/data_sources/{dsId}/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"data_source_id": "3b7d9f1e5a",
"created": 1625097600,
"document_id": "2c4a6e8d0f",
"title": "Customer Support FAQ",
"mime_type": "text/md",
"timestamp": 1625097600,
"tags": [
"customer_support",
"faq"
],
"parent_id": "1234f4567c",
"parents": [
"7b9d1f3e5a",
"2c4a6e8d0f"
],
"source_url": "https://example.com/support/article1",
"hash": "a1b2c3d4e5",
"text_size": 1024,
"chunk_count": 5,
"chunks": [
{
"chunk_id": "9f1d3b5a7c",
"text": "This is the first chunk of the document.",
"embedding": [
0.1,
0.2,
0.3,
0.4
]
},
{
"chunk_id": "4a2c6e8b0d",
"text": "This is the second chunk of the document.",
"embedding": [
0.5,
0.6,
0.7,
0.8
]
}
],
"text": "This is the full text content of the document. It contains multiple paragraphs and covers various topics related to customer support.",
"token_count": 150
}
}Datasources
Retrieve a document from a data source
Retrieve a document from a data source identified by in the workspace identified by .
GET
/
api
/
v1
/
w
/
{wId}
/
spaces
/
{spaceId}
/
data_sources
/
{dsId}
/
documents
/
{documentId}
Retrieve a document from a data source
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
ID of the space
ID of the data source
ID of the document
Response
The document
Show child attributes
Show child attributes
⌘I